/*
export function someAction (context) {
}
*/
import firebase from "firebase/app";

import { firestoreAction } from "vuexfire";

export const setCollectionsRef = firestoreAction(
  ({ bindFirestoreRef }, ref) => {
    return bindFirestoreRef("collections", ref);
  }
);

export const setLatestCollectionsRef = firestoreAction(
  ({ bindFirestoreRef }, ref) => {
    return bindFirestoreRef("latest_collections", ref);
  }
);

export const setUserCollectionsRef = firestoreAction(
  ({ bindFirestoreRef }, ref) => {
    return bindFirestoreRef("user_collections", ref);
  }
);

export const loadUserCollections = ({ dispatch }, user_id) => {
  const db = firebase.firestore();

  const ref = db
    .collection("collections")
    .where("user_id", "==", user_id)
    .orderBy("created", "desc");

  return dispatch("setUserCollectionsRef", ref);
};

export const loadLatestCollections = ({ dispatch }) => {
  const db = firebase.firestore();
  const ref = db
    .collection("collections")
    .orderBy("created", "desc")
    .limit(6);

  return dispatch("setLatestCollectionsRef", ref);
};

export const loadAllCollections = ({ dispatch }) => {
  const db = firebase.firestore();
  const ref = db.collection("collections").orderBy("created", "desc");

  return dispatch("setCollectionsRef", ref);
};
